Subject: "password incorrect" w/ shadow pass enabled

From: David Haas <[email-masked]>
Date: Thu, 2 Aug 2001 23:31:25 -0500

Hi.  I've blown the entire day trying to get netatalk running on my linux
box, and I'm sooooooo  close, but I can't quite get it to work.  Hopefully
someone can help.  Whenever I try to log on from a Mac OS 8.1 box 
to my netatalk server, I get a  "Sorry, your password is incorrect" when it 
definately is not.  I'm 99.9% convinced the problem is that netatalk isn't 
reading the shadow passwords - but my pam & dhx modules always fail to load
with mod_symbol errors.  I've looked through the archives, and most people
with this problem seem to get it fixed by compiling --with-pam or --with-shadow:
which didn't work for me.   If anyone could help, I'd really appreciate it.  
Tons of configuration info is listed below (sorry for filling up your in-boxes):

*********************

Machine:  Pmac 6500, originally linuxppc 2000 Q4 install with . . . 
                kernel 2.2.19 (from source)
                pam 0-72.32.2, pam-devel-0.72.32.2 (from RPM)
                openssl-0.9.6-1, openssl-devel-0.9.6-1 (from RPM)

Netatalk: 1.5pre6, compiled from source.

I set the configure directory to be /etc/atalk, with uams in /etc/atalk/uams.  Other
./configure options:   --with-pam --with-shadow --with-ssl --with-tcp-wrappers 
                                --disable-shell-check 

(I've also tried it without the --with-pam but keeping the --with-shadow, and have
gotten the same results).

Here's a transcript of /var/log/messages.  Note the mod_symbol errors for most of my modules.

afpd[14666]: ASIP started on (snip)(2) (1.5pre6)
afpd[14666]: uam_load(uams_dhx_passwd.so): mod_symbol error for symbol uams_dhx_passwd
afpd[14666]: uam: uams_dhx_passwd.so load failure
Aafpd[14666]: uam: uams_randnum.so loaded
afpd[14666]: uam_load(uams_pam.so): mod_symbol error for symbol uams_pam
afpd[14666]: uam: uams_pam.so load failure
afpd[14666]: uam_load(uams_dhx_pam.so): mod_symbol error for symbol uams_dhx_pam
afpd[14666]: uam: uams_dhx_pam.so load failure
afpd[14666]: uam: "2-Way Randnum exchange" available
afpd[14666]: uam: "Randnum exchange" available

And here's the section when I try to login. Notice there aren't any errors.

afpd[14670]: randnum/rand2num login: Fun
afpd[14670]: 0.07KB read, 0.07KB written
afpd[14666]: server_child[1] 14670 done

There is a .passwd file in the share directory, which is owned by the user (Fun)
who has rw priviledges on it.  

Here's the contents of my setup files:
atalkd.conf: eth0 -zone "Eng"

afpd.conf: - -transall -randnum -rand2num -uampath  /etc/atalk/uams -uamlist uams_dhx_passw
d.so,uams_randnum.so,uams_pam.so,uams_dhx_pam.so -defaultvol  /etc/atalk/AppleVolumes.default  -systemvol  /etc/atalk/AppleVolumes.system -nlspath  /etc/atalk/nls  -icon

(I've tried afpd.conf without the -randnum and -rand2num, and had the same behavior)

netatalk.conf: 
AFPD_MAX_CLIENTS=50
ATALK_ZONE=@Eng
ATALK_NAME=Fun
AFPD_UAMLIST="-U uams_dhx_passwd.so,uams_randnum.so,uams_pam.so,uams_dhx_pam.so"
AFPD_GUEST=nobody
ATALKD_RUN=yes
PAPD_RUN=no
AFPD_RUN=yes
TIMELORD_RUN=no
ATALK_BGROUND=no      

AppleVolumes.default: /home/share "Disk of Fun" allow:Fun,@Fun limitsize options:noadouble 

AppleVolumes.system: whatever came with the source code.

****************************
The foot, the lies, the yellow-haired lady: Komo the Komodo tells all!